Kea: isc::util::io::SocketSessionError Class Reference

| Kea 2.2.0

Public Member Functions | List of all members
isc::util::io::SocketSessionError Class Reference

An exception indicating general errors that takes place in the socket session related class objects. More...

`#include <socketsession.h>`

Inheritance diagram for isc::util::io::SocketSessionError:
[legend]

## Public Member Functions
| SocketSessionError (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception. More...
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception. More...
const std::string & | getMessage () const
| Gets a string describing the cause of the exception. More...
const char * | getFile () const
| Gets the file name where the exception was thrown. More...
size_t | getLine () const
| Gets the line number of the file where the exception was thrown. More...
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number. More...
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number. More...
virtual | ~Exception () throw ()
| The destructor. More...

## Detailed Description

An exception indicating general errors that takes place in the socket session related class objects.

In general the errors are unusual but possible failures such as unexpected connection reset, and suggest the application to close the connection and (if necessary) reestablish it.

Definition at line 151 of file socketsession.h.

## Constructor & Destructor Documentation

## ◆ SocketSessionError()

isc::util::io::SocketSessionError::SocketSessionError | ( | const char * | file,
|  | size_t | line,
|  | const char * | what
| ) |  |
| inline

Definition at line 153 of file socketsession.h.

The documentation for this class was generated from the following file:

- socketsession.h